{% load static %}

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/jquery.validate.js"></script>
    <link rel="stylesheet" href="{% static 'CSS/FormularioStyle.css' %}">
   


    <title>Javascript Formularios</title>

    <script>
        $(function() {
           $("#formularioJQ").validate({
                rules: {
                    correo: {
                        required: true,
                        email: true
                    },
                    password: "required",
                    password2: {
                        required: true,
                        equalTo: "#password"
                    },
                    nombre:{
                        required: true

                    },
                    apellido:{
                        required: true
                    }
                    
                                    },
                messages: {
                    correo: {
                        required: 'Ingresa tu correo electrónico',
                        email: 'Formato de correo no válido'
                    },
                    password: {
                        required: 'Ingresa una contraseña',
                        minlength: 'Largo insuficiente'
                    },
                    password2: {
                        required: 'Reingresa la contraseña',
                        equalTo: 'Las contraseñas ingresadas no coinciden',
                        minlength: 'Largo insuficiente'

                    },
                    nombre: {
                        required: 'Ingrese Nombre',
                        minlength: 'Por favor el nombre debe ser mayor a 3 letras'
                    },
                    apellido:{
                        required: 'Ingrese Apellido',
                        minlength: 'Por favor el apellido debe ser mayor a 3 letras'
                    }
                }
            });
            
        });
    </script>
</head>
<body>
    <center class="centrado">Registro de Usuario</center>
    <div>
      

        <!--
            Formularios y Validaciones HTML y JQuery
        -->
        <section class="form-register">
        <form id="formularioJQ" action="#">

            <label>Ingresa Nombre</label>
            <input class="controls" type="text" name="nombre" minlength="3"><br/><br/>

            <label>Ingresa Apellido</label>
            <input class="controls" type="text" name="apellido" minlength="3"><br/><br/>

            <label>Ingresa Edad</label>
            <input class="controls" type="number" name="edad" min="15" max="100"><br/><br/>

            <label>Correo Electrónico: </label>
            <input class="controls" type="text" name="correo" required placeholder="nombre@dominio.cl"><br/><br/>

            <label>Contraseña:</label>
            <input class="controls" type="password" id="password" name="password" minlength="6"><br/><br/>

            <label>Reingresa contraseña: </label>
            <input class="controls" type="password" name="password2" minlength="6"><br/><br/>

            

             <button class="formulario-submit">Registrase</button> 
            
           
        </form>
    </section>
    </div>
</body>
</html>
